export declare function guardTSVersion(version?: string): void;
/**
 * Determines whether or not to use `--build` mode based on "references" being there in the config file
 * @param tsconfigFileName The tsconfig file to parse
 */
export declare function determineBuildModeEnabled(tsconfigFileName: string): boolean;
/**
 * Overrides some options to speed up compilation and disable some code quality checks we don't want during mutation testing
 * @param parsedConfig The parsed config file
 * @param useBuildMode whether or not `--build` mode is used
 */
export declare function overrideOptions(parsedConfig: {
    config?: any;
}, useBuildMode: boolean): string;
/**
 * Retrieves the referenced config files based on parsed configuration
 * @param parsedConfig The parsed config file
 * @param fromDirName The directory where to resolve from
 */
export declare function retrieveReferencedProjects(parsedConfig: {
    config?: any;
}, fromDirName: string): string[];
/**
 * Replaces backslashes with forward slashes (used by typescript)
 * @param fileName The file name that may contain backslashes `\`
 * @returns posix and ts complaint file name (with `/`)
 */
export declare function toPosixFileName(fileName: string): string;
export declare function getSourceMappingURL(content: string): string | undefined;
//# sourceMappingURL=tsconfig-helpers.d.ts.map